Subject: Re: [PATCH] Too aggressive cwnd backoff

From: Baruch Even <[email-masked]>
Date: Fri, 08 Apr 2005 22:33:58 +0100

John Heffner wrote:
> This test looks correct to me.  (We never touched it.)  It is the bounding
> parameter specified in rate halving.  If you actually get down that far,
> then rate halving is getting confused, though.

In my tests with either NewReno at high-BDP network settings
(300Kbit/s, 120ms delay, BDP = 3200 packets), we always go into this
confused mode.

It will always upon a drop go to a point between the one-half and 
one-quarter of the original cwnd, but then, due to performance problems 
at that point the queue is filled and lots of packets are getting lost 
in bursts after I disabled throttling, with throttling it goes even 
below one quarter.

If I understand you correctly this check (that I changed) is correct and 
should not be changed but rather that the bug is elsewhere. I'll give it 
another look when I have some more time.

Baruch